//+------------------------------------------------------------------+
//          Candle Alert                                             |
//+------------------------------------------------------------------+

#property copyright "Edas"
#property link      "edas@tdd.lt"

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Green  
#property indicator_color2 Red

extern bool SoundON=true;
extern bool EmailON=false;

string SymbolsArray[10]={"EURUSD","GBPUSD","USDJPY","AUDUSD","USDCAD","USDCHF","USDCHF","EURGBP","EURJPY","GBPJPY"};
int timeframe[7] = {1,5,15,30,60,240,1440};
string TF[7] = {"PERIOD_M1", "PERIOD_M5","PERIOD_M15","PERIOD_M30","PERIOD_H1","PERIOD_H4","PERIOD_D1"};
int distance[7] = {1,2,4,6,8,12,25};
//ideal is to scan all Symbols with for cycle

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators


//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//---- 


//----
   return(0);
  }

//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
{
   
   int counted_bars=IndicatorCounted();
   int  i, j, hour;
   
   static int PrevSignal[10][6] = {0,0,0,0,0,0,0,0,0,0,  0,0,0,0,0,0,0,0,0,0,  0,0,0,0,0,0,0,0,0,0,  0,0,0,0,0,0,0,0,0,0,  0,0,0,0,0,0,0,0,0,0,  0,0,0,0,0,0,0,0,0,0};
   static int PrevTime[10][6] =   {0,0,0,0,0,0,0,0,0,0,  0,0,0,0,0,0,0,0,0,0,  0,0,0,0,0,0,0,0,0,0,  0,0,0,0,0,0,0,0,0,0,  0,0,0,0,0,0,0,0,0,0,  0,0,0,0,0,0,0,0,0,0};
   string Message1; 
   string Message2;
   string teststring = "testas";
   double Range, OpCl, Ratio;
   
   

   
   //timeframe[4] - hourly chart
   for (i = 0; i <= 9; i++) // symbol scan  
   {    for (j = 1; j <=6; j++) //timeframe scan
        {
         Message1 = "CANDLE alert at " + timeframe[j] + " min Close " + SymbolsArray[i] + " TF " + timeframe[j] + 
                    " Range " + Range*10000  + " OpCl " + OpCl*10000 + " pips Ratio " + Ratio + " @ " + DoubleToStr(Bid,Digits);
                    //how to remove zero's after digit ?
                    
                    
         Range =         iHigh(SymbolsArray[i], timeframe[j],1) - iLow(SymbolsArray[i], timeframe[j],1);  //one bar ago before current bar
         OpCl = MathAbs( iOpen(SymbolsArray[i], timeframe[j],1) - iClose(SymbolsArray[i], timeframe[j],1 )  );
         Ratio = Range/OpCl;
         
  //       if (iTime(SymbolsArray[i], PERIOD_M1, 0) - iTime(SymbolsArray[i], PERIOD_H1, 0) == 0) 
         if ( TimeCurrent() >= PrevTime[i][j] + 45* timeframe[j] ) //pause between the same symbol/timeframe alert
         {
         //long shadow, small body
         if  ( Ratio >= 3) 
            {
            Alert(Message1);
            PrevTime[i][j] = TimeCurrent(); 
            }
          }
        }
   }
   
   return(0);
}

